package eu.jbuk.complexdoors.core;

import java.util.logging.Level;

import cpw.mods.fml.common.FMLLog;
import eu.jbuk.complexdoors.lib.Reference;

public class Logger {
    private static java.util.logging.Logger cdLogger = java.util.logging.Logger.getLogger(Reference.MOD_ID);

    public static void init() {
        cdLogger.setParent(FMLLog.getLogger());
    }

    public static void log(Level level, String message) {
        cdLogger.log(level, message);
    }

    public static void info(String message) {
        log(Level.INFO, message);
    }

    public static void warn(String message) {
        log(Level.WARNING, message);
    }

    public static void fine(String message) {
        log(Level.FINE, message);
    }

    public static void debug(String message) {
        if (true)
            log(Level.WARNING, "[DEBUG] " + message);
    }
}
